Rails.application.routes.draw do
  root "page#index"
  get "/up" => "rails/health#show", as: :rails_health_check

  post "/new", to: "instance#create", as: :new_instance
  post "/new_from_fe", to: "instance#create_from_fe", as: :new_from_fe
  post "/pop", to: "instance#pop", as: :pop_in_instance
  post "/pop/adjust", to: "instance#adjust_pop", as: :adjust_pop
  post "/reset", to: "instance#reset", as: :reset_in_instance
  post "/auth", to: "instance#authenticate", as: :authenticate_to_instance
  post "/fairy/mark", to: "fairy#mark", as: :mark_fairy
  post "/fairy/unmark", to: "fairy#unmark", as: :unmark_fairy
  post "/fairy/despawn", to: "fairy#despawn", as: :despawn_fairy
  get "/:public_id", to: "instance#show", as: :show_instance

end
